## Apache Zeta Components Manual :: Docs For Class ezcCacheStorageFileOptions

### Cache::ezcCacheStorageFileOptions

### Class ezcCacheStorageFileOptions

Option class for the ezcCacheStorageFile class.

Instances of this class store the option of ezcCacheStorageFile implementations.

Source for this file: /Cache/src/options/storage_file.php

    ezcBaseOptions
       |
       --ezcCacheStorageFileOptions

Version: | //autogentag//

### Properties

string | read/write | `$extension` The (file) extension to use for the storage items.
string | read/write | `$lockFile` The name of the file used for locking in the lock() method. Default is '.ezcLock'.
int | read/write | `$lockWaitTime` Time to wait between lock availability checks. Measured in microseconds (http://www.php.net/usleep). Default is 200000.
int | read/write | `$maxLockTime` Time before a lock is considered dead, measured in seconds. Default is 5.
string | read/write | `$metaDataFile` The name of the file used to store meta data. Default is '.ezcMetaData'.
int | read/write | `$permissions` Permissions to create a file with (Posix only).
int | read/write | `$ttl` The time to live of cache entries.

### Member Variables

protected ezcCacheStorageOptions | `$storageOptions` Parent storage options.

### Inherited Member Variables

From ezcBaseOptions
protected | `ezcBaseOptions::$properties`

### Method Summary

public ezcCacheStorageFileOptions | `__construct( [ $options = array()] )` Constructs a new options class.

### Inherited Methods

From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

### Methods

#### __construct

ezcCacheStorageFileOptions __construct( [array(string=>mixed) $options = array()] )

Constructs a new options class.

It also sets the default values of the format property

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | array(string=>mixed) | The initial options to set.

##### Exceptions:

Type | Description
--- | ---
`ezcBaseValueException` | If the value for the property is incorrect
`ezcBasePropertyNotFoundException` | If trying to assign a property which does not exist

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseOptions::__construct()` | Construct a new options object.

Documentation generated by phpDocumentor 1.4.3